Bug 1623300 - Review Request: R-tweenr - Interpolate Data for Smooth Animations
Summary: Review Request: R-tweenr - Interpolate Data for Smooth Animations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Iñaki Ucar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-29 01:07 UTC by Elliott Sales de Andrade
Modified: 2018-09-21 05:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-07 15:24:37 UTC
Type: ---
i.ucar86: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2018-08-29 01:07:49 UTC
Spec URL: https://qulogic.fedorapeople.org//R-tweenr.spec
SRPM URL: https://qulogic.fedorapeople.org//R-tweenr-0.1.5-1.fc28.src.rpm

Description:
In order to create smooth animation between states of data, tweening is
necessary. This package provides a range of functions for creating tweened
data that plugs right into functions such as gg_animate() from the
'gganimate' package. Furthermore it adds a number of vectorized
interpolaters for common R data types such as numeric, date and colour.

Comment 1 Elliott Sales de Andrade 2018-08-29 01:30:43 UTC
koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=29357688

Comment 2 Iñaki Ucar 2018-08-29 09:58:11 UTC
Just one minor issue/question before approving: what happens with headers under src/? The R packaging guidelines do not specify what to do with them. In principle, they should be placed in a -devel subpackage, but anyway they are useless for other R packages if they are not under inst/include/.

- No rpmlint errors, some spelling warnings (false positives).
- Requires, BuildRequires ok.
- Compatible licenses, breakdown specified.
- Files/dirs ok.

Comment 3 Elliott Sales de Andrade 2018-08-29 10:05:51 UTC
They aren't installed, so no need for the -devel subpackage.

Comment 4 Iñaki Ucar 2018-08-29 10:19:49 UTC
They are installed in the -debugsource subpackage, and the fedora-review tool complains about this. This is why I'm asking.

Comment 5 Elliott Sales de Andrade 2018-08-29 10:33:57 UTC
Those are just for debugging; they don't need to be split up. rpmlint is probably complaining about the executable bit that I forgot to remove. Here's an update with that corrected:

Spec URL: https://qulogic.fedorapeople.org/R-tweenr.spec
SRPM URL: https://qulogic.fedorapeople.org/R-tweenr-0.1.5-2.fc28.src.rpm

Comment 6 Iñaki Ucar 2018-08-29 11:35:08 UTC
Ok! Package approved.

Comment 7 Gwyn Ciesla 2018-08-29 21:02:00 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-tweenr

Comment 8 Fedora Update System 2018-08-29 23:28:58 UTC
R-tweenr-0.1.5-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9354d688bf

Comment 9 Fedora Update System 2018-08-29 23:29:18 UTC
R-tweenr-0.1.5-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-089d519f63

Comment 10 Fedora Update System 2018-08-29 23:29:44 UTC
R-tweenr-0.1.5-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9061c50408

Comment 11 Fedora Update System 2018-08-30 04:23:51 UTC
R-tweenr-0.1.5-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9354d688bf

Comment 12 Fedora Update System 2018-08-30 05:55:32 UTC
R-tweenr-0.1.5-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-089d519f63

Comment 13 Fedora Update System 2018-08-30 15:00:49 UTC
R-tweenr-0.1.5-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9061c50408

Comment 14 Fedora Update System 2018-09-07 15:24:37 UTC
R-tweenr-0.1.5-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-09-07 16:15:37 UTC
R-tweenr-0.1.5-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-09-21 05:24:03 UTC
R-tweenr-0.1.5-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.